org.apache.sysds.runtime.matrix.data

## Enum LibMatrixBincell.BinaryAccessType

- java.lang.Object
- - java.lang.Enum<LibMatrixBincell.BinaryAccessType>
  - - org.apache.sysds.runtime.matrix.data.LibMatrixBincell.BinaryAccessType

- All Implemented Interfaces:
    Serializable, Comparable<LibMatrixBincell.BinaryAccessType>
  Enclosing class:
    LibMatrixBincell

      public static enum LibMatrixBincell.BinaryAccessType
      extends Enum<LibMatrixBincell.BinaryAccessType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INVALID`
    `MATRIX_COL_VECTOR`
    `MATRIX_MATRIX`
    `MATRIX_ROW_VECTOR`
    `OUTER_VECTOR_VECTOR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isMatrixVector()`
    `static LibMatrixBincell.BinaryAccessType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LibMatrixBincell.BinaryAccessType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MATRIX_MATRIX

          public static final LibMatrixBincell.BinaryAccessType MATRIX_MATRIX

    - #### MATRIX_COL_VECTOR

          public static final LibMatrixBincell.BinaryAccessType MATRIX_COL_VECTOR

    - #### MATRIX_ROW_VECTOR

          public static final LibMatrixBincell.BinaryAccessType MATRIX_ROW_VECTOR

    - #### OUTER_VECTOR_VECTOR

          public static final LibMatrixBincell.BinaryAccessType OUTER_VECTOR_VECTOR

    - #### INVALID

          public static final LibMatrixBincell.BinaryAccessType INVALID

  - ### Method Detail

    - #### values

          public static LibMatrixBincell.BinaryAccessType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LibMatrixBincell.BinaryAccessType c : LibMatrixBincell.BinaryAccessType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LibMatrixBincell.BinaryAccessType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isMatrixVector

          public boolean isMatrixVector()

Copyright © 2021 The Apache Software Foundation. All rights reserved.